files.md
Files
Use Finix's File API to upload and manage files for your merchants.
Create a File
- POST /files: Before uploading a file, you must create a File resource.
Once created, you can upload your file to the new File resource.
List Files
- GET /files: Retrieve a list of File resources.
Fetch a File
- GET /files/{file_id}: Retrieve the details of an existing File.
List External Links
- GET /files/{file_id}/external_links: List the previously created External Link resources for a File.
Create an External Link
- POST /files/{file_id}/external_links: Create an External Link to share with users so they can upload files directly from their browser. For more info, see Uploading files to Finix.
Upload a File
- POST /files/{file_id}/upload: Upload files directly with a multipart/form-data request.
Download a File
Fetch an External Link
- GET /files/{file_id}/external_links/{external_link_id}: Fetch a previously created External Link resource.